using System;
using System.Collections.Generic;
using System.Data.Linq;
using System.Data.Linq.Mapping;
using System.Linq;
using System.Web;

namespace CyriousInternalDatasource.Models
{
    [Table(Name = "AzWafCo_OrderStatus")]
    public class OrderStatus
    {
        private int _OrderNumber;
        [Column(IsPrimaryKey=true, Storage="_OrderNumber")]
        public int OrderNumber
        {
            get
            {
                return this._OrderNumber;
            }
        }

        private string _Status;
        [Column(Storage="_Status")]
        public string Status
        {
            get
            {
                return this._Status;
            }
        }

        private string _OrderStation;
        [Column(Storage="_OrderStation")]
        public string OrderStation
        {
            get
            {
                return this._OrderStation; 
            }
        }

        private string _Station_at_Sale;
        [Column(Storage = "_Station_at_Sale")]
        public string Station_at_Sale
        {
            get
            {
                return this._Station_at_Sale;
            }
        }

        private string _CompanyName;
        [Column(Storage = "_CompanyName")]
        public string CompanyName
        {
            get
            {
                return this._CompanyName;
            }
        }

        private string _Contact;
        [Column(Storage = "_Contact")]
        public string Contact
        {
            get
            {
                return this._Contact;
            }
        }

        private string _Description;
        [Column(Storage = "_Description")]
        public string Description
        {
            get
            {
                return this._Description;
            }
        }

        private string _OrderNotes;
        [Column(Storage = "_OrderNotes")]
        public string OrderNotes
        {
            get
            {
                return this._OrderNotes;
            }
        }
    }
}